Page MenuHomePhabricator

elm_scroll: Avoid calls to non-existing part
ClosedPublic

Authored by zmike on Jun 18 2018, 12:59 PM.

Details

Summary

In case of Bryce's style, there are no scroll bars.

this avoids errors for non-existent objects

ref T7030

Signed-off-by: Mike Blumenkrantz <zmike@samsung.com>

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jun 18 2018, 12:59 PM
zmike requested review of this revision.Jun 18 2018, 12:59 PM
bu5hm4n added inline comments.Jun 19 2018, 10:27 AM
src/lib/elementary/elm_interface_scrollable.c
792

Can we have this here const, and the function declared as EINA_PURE ?

This would then give the compiler a better realistically chance to call this function only once per function call.

3782

I would not complain on a white line change, but this adds a unneccessary space that my IDE would remove again...

3877

I would not complain on a white line change, but this adds a unneccessary space that my IDE would remove again...

bu5hm4n requested changes to this revision.Jun 19 2018, 10:27 AM
This revision now requires changes to proceed.Jun 19 2018, 10:27 AM
zmike updated this revision to Diff 15065.Jun 19 2018, 10:39 AM
zmike edited the summary of this revision. (Show Details)
zmike updated this revision to Diff 15128.Jun 21 2018, 3:53 PM

oops forgot const

bu5hm4n accepted this revision.Jun 25 2018, 2:34 AM

I didnt even know that you could add EINA_PURE after the return types ... Anyway, LGTM

This revision is now accepted and ready to land.Jun 25 2018, 2:34 AM
Closed by commit rEFL6f6b365c8431: elm_scroll: Avoid calls to non-existing part (authored by Jean-Philippe Andre <jp.andre@samsung.com>, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyJun 25 2018, 2:41 AM
This revision was automatically updated to reflect the committed changes.